# H235_AuthenticationMechanism Class Reference

`#include <h235.h>`

List of all members.

## Public Types

enum | Choices { e_dhExch, e_pwdSymEnc, e_pwdHash, e_certSign, e_ipsec, e_tls, e_nonStandard, e_authenticationBES, e_keyExch }

## Public Member Functions

| H235_AuthenticationMechanism (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H235_NonStandardParameter & ()
| operator const H235_NonStandardParameter & () const
| operator H235_AuthenticationBES & ()
| operator const H235_AuthenticationBES & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H235_AuthenticationMechanism::Choices

Enumerator:

  e_dhExch |
  e_pwdSymEnc |
  e_pwdHash |
  e_certSign |
  e_ipsec |
  e_tls |
  e_nonStandard |
  e_authenticationBES |
  e_keyExch |

## Constructor & Destructor Documentation

H235_AuthenticationMechanism::H235_AuthenticationMechanism | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H235_AuthenticationMechanism::operator H235_NonStandardParameter & | ( |  | ) |

H235_AuthenticationMechanism::operator const H235_NonStandardParameter & | ( |  | ) | const

H235_AuthenticationMechanism::operator H235_AuthenticationBES & | ( |  | ) |

H235_AuthenticationMechanism::operator const H235_AuthenticationBES & | ( |  | ) | const

PBoolean H235_AuthenticationMechanism::CreateObject | ( |  | ) |

PObject* H235_AuthenticationMechanism::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h235.h